Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Properties | List of all members
AgentController Class Reference

NavMeshAgentをラップしたAI用移動コンポーネント。
主に組み込みBehaviourのAgentを介して使用する。 More...

Inheritance diagram for AgentController:

## Public Types
enum | MovementType { NotChange, Normalize, DivSpeed, DivValue }
| 移動ベクトルのタイプ More...
enum | TurnType { UseX, RadianAngle }
| Turnのタイプ More...

## Public Member Functions
void | Patrol (Vector3 center, float speed, float radius)
| 指定半径内をうろつく More...
void | Patrol (float speed, float radius)
| 開始位置から指定半径内をうろつく More...
void | Follow (float speed, float stoppingDistance, Vector3 targetPosition)
| 指定した位置へ近づく More...
void | Follow (float speed, float stoppingDistance, Transform target)
| 指定したTransformの位置へ近づく More...
void | Escape (float speed, float distance, Vector3 targetPosition)
| 指定した位置から遠ざかる More...
void | Escape (float speed, float distance, Transform target)
| 指定したTransformから遠ざかる More...
void | LookAt (float angularSpeed, Vector3 targetPosition)
| 指定した位置の方向へ回転する。 More...
void | LookAt (float angularSpeed, Transform target)
| 指定したTransformの方向へ回転する。 More...
void | Resume ()
| 移動を再開する。 More...
void | Stop ()
| 停止する。 More...
bool | Warp (Vector3 newPosition)
| 指定された位置にエージェントをワープします。 More...

## Properties
NavMeshAgent | agent`[get]`
Transform | agentTransform`[get]`
bool | isDone`[get]`
| 移動完了したかどうか。 More...
bool | isMoving`[get]`

## Detailed Description

NavMeshAgentをラップしたAI用移動コンポーネント。
主に組み込みBehaviourのAgentを介して使用する。

## Member Enumeration Documentation

enum MovementType
| strong

移動ベクトルのタイプ

Enumerator
NotChange | NavMeshAgent.velocityの値をそのまま使用する。
Normalize | NavMeshAgent.velocityを正規化した値を使用する。
DivSpeed | NavMeshAgent.velocityをNavMeshAgent.speedで割った値を使用する。
DivValue | NavMeshAgent.velocityをMovementDivValueで割った値を使用する。

enum TurnType
| strong

Turnのタイプ

Enumerator
UseX | 向きベクトルのX値を使う。
RadianAngle | 向きベクトルのXZ値からラジアン角を計算する。

## Member Function Documentation

void Escape | ( | float | speed,
|  | float | distance,
|  | Vector3 | targetPosition
| ) |  |

指定した位置から遠ざかる

Parameters

  speed | 移動速度
  distance | 遠ざかる距離
  targetPosition | 対象

void Escape | ( | float | speed,
|  | float | distance,
|  | Transform | target
| ) |  |

指定したTransformから遠ざかる

Parameters

  speed | 移動速度
  distance | 遠ざかる距離
  target | 対象

void Follow | ( | float | speed,
|  | float | stoppingDistance,
|  | Vector3 | targetPosition
| ) |  |

指定した位置へ近づく

Parameters

  speed | 移動速度
  stoppingDistance | 停止距離
  targetPosition | 目標地点

void Follow | ( | float | speed,
|  | float | stoppingDistance,
|  | Transform | target
| ) |  |

指定したTransformの位置へ近づく

Parameters

  speed | 移動速度
  stoppingDistance | 停止距離
  target | 目標地点

void LookAt | ( | float | angularSpeed,
|  | Vector3 | targetPosition
| ) |  |

指定した位置の方向へ回転する。

Parameters

  angularSpeed | 角速度
  targetPosition | 対象

void LookAt | ( | float | angularSpeed,
|  | Transform | target
| ) |  |

指定したTransformの方向へ回転する。

Parameters

  angularSpeed | 角速度
  target | 対象

void Patrol | ( | Vector3 | center,
|  | float | speed,
|  | float | radius
| ) |  |

指定半径内をうろつく

Parameters

  center | 中心
  speed | 移動速度
  radius | 開始位置からの半径

void Patrol | ( | float | speed,
|  | float | radius
| ) |  |

開始位置から指定半径内をうろつく

Parameters

  speed | 移動速度
  radius | 開始位置からの半径

void Resume | ( |  | ) |

移動を再開する。

void Stop | ( |  | ) |

停止する。

bool Warp | ( | Vector3 | newPosition | ) |

指定された位置にエージェントをワープします。

Parameters

  newPosition | エージェントをワープさせる位置

Returns
  経路の割り当てに成功した場合 true

## Property Documentation

NavMeshAgent agent
| get

Transform agentTransform
| get

bool isDone
| get

移動完了したかどうか。

bool isMoving
| get